package no.ntnu.ime.xsltgenerator.client.models;

import java.util.HashMap;
import java.util.Map.Entry;

import com.google.gwt.safehtml.shared.SafeHtml;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.TreeItem.TreeItemImpl;

public class TreeNodeValidationItem  extends TreeItemImpl  implements SafeHtml {

	private static final long serialVersionUID = -3153337838430542101L;
	private String text = "";
	private String value = null;
	private boolean status = false;
	private HashMap<String, String> attributes;
	
	public TreeNodeValidationItem() {
		super();
	}
	
	public TreeNodeValidationItem(String text, HashMap<String, String> attributes, boolean status){
		super();
		this.text = text;
		this.status = status;
		this.attributes = attributes;
	}
	
	public String getHTML(){
		if (text == null){
			return new HTML("<span>ERROR</span>").getHTML();
		}
		return new HTML(
				(status ? "<span style='color: green;'>\u2611</span>" : "<span style='color: red;'>\u2612</span> ")
				+ text
				+ (value == null ? "" : " ( " + value + " )")
		).getHTML();
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public String getText() {
		return text;
	}

	public String getValue() {
		return value;
	}

	public boolean isStatus() {
		return status;
	}

	public void setText(String text) {
		this.text = text;
	}

	public void setStatus(boolean status) {
		this.status = status;
	}
	
	public void setDataValue(String value){
		this.value = value;
	}
	public HashMap<String, String> getAttributes(){
		return attributes;
	}

	@Override
	public String asString() {
		return getHTML();
	}

	public String getAttributesAsString() {
		StringBuilder attrString = new StringBuilder();
		if (attributes == null || attributes.size() < 1){
			return "";
		}
		for (Entry<String, String> entry : attributes.entrySet()){
			attrString.append(entry.getKey() + " = " + entry.getValue() + ", ");
		}
		
		return attrString.substring(0, attrString.length() - 2);
	}
	
}
