package no.ntnu.ime.xsltgenerator.client.services;

import java.util.List;
import java.util.Map;

import no.ntnu.ime.xsltgenerator.client.models.SaxParserResult;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

@RemoteServiceRelativePath("XMLSourceParserService")
public interface XMLSourceParserService extends RemoteService {
	
	public String getXMLContentFromURL(String url);
	Map<String, List<SaxParserResult>> analyzeXMLFromURL(
			String url);

	/**
	 * Utility class for simplifying access to the instance of async service.
	 */
	public static class Util {
		private static XMLSourceParserServiceAsync instance;
		public static XMLSourceParserServiceAsync getInstance(){
			if (instance == null) {
				instance = GWT.create(XMLSourceParserService.class);
			}
			return instance;
		}
	}

	boolean isValidSourceURI(String sourceAdress) throws Exception;
	String getXlstForDataset(String string,
			Map<String, List<SaxParserResult>> parsingResult);
	String attemptConversion(String result, String string);	
}
