package no.ntnu.ime.xsltgenerator.client.services;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;


public class XsltUtils {
	private XsltUtils(){}
	
	
	public static String xsltFragmentForStandardMapping(final String rootPath, final String ofContainer,
			final ArrayList<HashMap<String, String>> mapping, HashMap<String, String[]> typeToElementMap) {
		final StringBuilder xlst = new StringBuilder();

		xlst.append("<xsl:template match=\""+ rootPath + "\">\n<of:" + ofContainer + ">\n");
		for (final Map<String, String> vals : mapping) {
			for (final Entry<String, String> entry : vals.entrySet()) {
				final String type = entry.getValue();
				final String path = entry.getKey().substring(rootPath.length() + 1);
				final String[] elementNames = typeToElementMap.get(type);
				if (elementNames != null) {
					for (final String elementName : elementNames) {
						xlst.append("\t<" + elementName + "><xsl:value-of select=\""+ path +"\"/></" + elementName + ">\n");
					}
				}
			}
		}
		xlst.append("</of:"+ ofContainer + ">\n</xsl:template>\n");
		return xlst.toString();
	}
	
}
