package no.ntnu.ime.xmlconverter.server;

import static org.junit.Assert.*;

import no.ntnu.ime.xsltgenerator.server.parser.identifiers.OrganizationNodeIdentifiers;

import org.junit.Test;

public class OrganizationNodeIdentfiersTest {

	@Test
	public void testIsValidOrganizationNumber() {
		assertTrue(OrganizationNodeIdentifiers.isValidOrganizationNumber("975289397"));
		assertFalse(OrganizationNodeIdentifiers.isValidOrganizationNumber("123456789"));
	}
	
	@Test
	public void testIsValidOrganizationNumberShouldReturnFalseOnNonDigitInput(){
		assertFalse(OrganizationNodeIdentifiers.isValidOrganizationNumber("123456a8a"));
	}
	
	@Test
	public void testIsValidOrganizationNumberShouldReturnFalseOnNull(){
		assertFalse(OrganizationNodeIdentifiers.isValidOrganizationNumber(null));
	}

}
