package no.ntnu.ime.libxsltgenerator.generator;

import java.util.Arrays;
import java.util.UUID;

import org.apache.commons.lang.StringUtils;

public class RelationTemplate {
	private String subject;
	private String object;
	private String key;

	public RelationTemplate(String subject, String object) {
		this.subject = subject;
		this.object = object;
		this.key = UUID.randomUUID().toString().replace("-", "");
	}

	public String toKeyString() {
		String[] matchDepth = this.subject.split("/");
		String[] useDepth = this.object.split("/");
		int common = 0;
		int i = 0;
		if (matchDepth.length == useDepth.length){
			common = matchDepth.length;
		} else {
		while(i < matchDepth.length && i < useDepth.length){
			if (matchDepth[i].equals(useDepth[i])){
				common++;
			} else {
				break;
			}
			i++;
		}
		}
		int steps = matchDepth.length - common;
		String stepString = "";
		for (i = 0; i < steps; i++){
			stepString += "../";
		}
		String use = stepString + StringUtils.join(Arrays.copyOfRange(useDepth, common, useDepth.length), "/");
		
		return String
				.format("\n<xsl:key name=\"key_%s\" match=\"/%s\" use=\"%s/text()\"/>\n",
						this.key, this.subject, use);
	}

	public String toString(int id, String personPath) {
		return String
				.format(// "<xsl:template match=\"%s\" name=\"rel_templ_%d\">" +
				"<xsl:if test=\"%s/text() = personid/text()\">"
						+ "<of:norEduEntitlement><xsl:value-of select=\"%s\"/></of:norEduEntitlement>"
						+ "</xsl:if>"
				// "</xsl:template>"
				// , this.subject, id
				, this.object, this.subject);
	}

	public String getInlineMatcher() {
		String[] idxArray = this.object.split("/");
		String idx = idxArray[idxArray.length-1];
		return String.format("\n<xsl:variable name=\"tmp_%s\" select=\"%s/text()\"/>\n"
				+ "<xsl:for-each select=\"key('key_%s', $tmp_%s)\">\n "
				+ "<of:norEduEntitlement><xsl:value-of select=\".\"/></of:norEduEntitlement>\n"
				+ "</xsl:for-each>", this.key, idx, this.key, this.key);
	}
}
