package no.ntnu.ime.libxsltgenerator.models;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map.Entry;

public class SaxParserResult implements Serializable {
	
	private static final long serialVersionUID = -6612866982379328570L;
	
	/***
	 * The root path for the identified elements
	 */
	private String xpath;
	
	private ArrayList<SaxParserResultData> entries;
	private HashMap<String, HashMap<String,String>> data;
	
	
	public SaxParserResult(){
		xpath = "";
		data = new HashMap<String,HashMap<String,String>>();
		entries = new ArrayList<SaxParserResultData>();
	}
	
	public SaxParserResult(String xpath, HashMap<String, HashMap<String,String>> data){
		this.xpath = xpath;
		this.data = data;
	}
	
	
	
	public SaxParserResult(String xpath,
			ArrayList<SaxParserResultData> entries) {
		super();
		this.xpath = xpath;
		this.entries = entries;
	}


	public SaxParserResult(
			String xPath2,
			HashMap<String, HashMap<String, String>> data2,
			List<SaxParserResultData> sprdList) {
				xpath = xPath2;
				data = data2;
				this.entries = new ArrayList<SaxParserResultData>(sprdList);
		
	}

	public String getXpath() {
		return xpath;
	}

	public ArrayList<SaxParserResultData> getEntries() {
		return entries;
	}

	public String getXPath(){
		return xpath;
	}
	
	public HashMap<String, HashMap<String,String>> getData(){
		return data;
	}
	
	public String toResultString(){
		String ret = getXpath() + "\n";
		if (data != null){
		for (Entry<String, HashMap<String, String>> entry : getData().entrySet()){
			ret += "\t" + entry.getKey() + "\n";
			for (Entry<String, String> e : entry.getValue().entrySet()){
				ret += "\t\t" + e.getKey() + " : " + e.getValue() + "\n";
			}
		}
		} else {
			ret += "Empty dataset\n";
		}
		return ret;
	}
	
}
