package no.ntnu.ime.libxsltgenerator.parser.identifiers;

import java.util.Arrays;
import java.util.List;

public final class NameLookup {

	private NameLookup() {}
	
	public static List<String> getNorwegianGivenNames(){
		return Arrays.asList(NORWEGIAN_GIVEN_NAMES);
	}

	private final static String[] NORWEGIAN_GIVEN_NAMES = { "Lena", "Therese", "Elise",
			"Bodil", "Ingvild", "Ingunn", "Signe", "Hanna", "Sofie", "Lisbeth",
			"Charlotte", "Frida", "Christine", "Amalie", "Sandra", "Marthe",
			"Caroline", "Gunvor", "Merete", "Tina", "Trude", "Vibeke",
			"Victoria", "Mary", "Johanne", "Henriette", "Oda", "Mia", "Aslaug",
			"Lisa", "Katrine", "Torunn", "Aase", "Kirsti", "Beate", "Sonja",
			"Marita", "Helga", "Christina", "Margit", "Susanne", "Toril",
			"Gry", "Renate", "Kine", "Guro", "Ingebjørg", "Rigmor", "Aina",
			"Gunhild", "Kristina", "Jeanette", "Hedda", "Solfrid", "Gudrun",
			"Ane", "Elsa", "Tuva", "Birgit", "Sunniva", "Sølvi", "Mathilde",
			"Olaug", "Maja", "Veronica", "Magnhild", "Eline", "Anja", "Agnes",
			"Kaja", "Synne", "Jorun", "Ella", "Mariann", "Anne-lise",
			"Pernille", "Åshild", "Monika", "Lill", "Kathrine", "Olga", "Mina",
			"Pia", "Ina", "Erna", "Borghild", "Margrethe", "Edith", "Inga",
			"Sarah", "Linnea", "Aurora", "Sigrun", "Karina", "Iselin",
			"Torhild", "Celine", "Selma", "Martha", "Miriam", "Helen", "Evy",
			"Birgitte", "Hannah", "Benedicte", "Klara", "Julia", "Lilly",
			"Eirin", "Anniken", "Svanhild", "Karianne", "Anny", "June",
			"Amanda", "Edel", "Rikke", "Marta", "Carina", "Hjørdis", "Merethe",
			"Tordis", "Helle", "Malene", "Guri", "Annette", "Jane", "Sidsel",
			"Målfrid", "Ester", "Tiril", "Kjellaug", "Lina", "Johanna", "Tine",
			"Dagny", "Astri", "Ellinor", "Kamilla", "Evelyn", "Rebecca",
			"Brita", "Siw", "Vera", "Oddny", "Eldbjørg", "Jannicke", "Torild",
			"Dina", "Maiken", "Michelle", "Ann-kristin", "Ine", "Hildegunn",
			"Judith", "Tora", "Rebekka", "Marion", "Live", "Greta", "Yvonne",
			"Oddbjørg", "Madeleine", "Oddrun", "Alexandra", "Haldis", "Borgny",
			"Ada", "Leah", "Helena", "Ragna", "Frøydis", "Vivian", "Natalie",
			"Gina", "Henny", "Hildur", "Elena", "Nathalie", "Solbjørg",
			"Ronja", "Ranveig", "Arnhild", "Asbjørg", "Rakel", "Mathea",
			"Andrine", "Margot", "Madelen", "Anne-marie", "Celina", "Petra",
			"Stina", "Mai", "Benedikte", "Unn", "Oddveig", "Torbjørg", "Sofia",
			"Inger-lise", "Lotte", "Ingjerd", "Margrete", "Veronika", "Esther",
			"Annie", "Alfhild", "Laura", "Alma", "Josefine", "Tanja", "Iris",
			"Louise", "Kate", "Lea", "Lone", "Alice", "Isabel", "Sylvi",
			"Gjertrud", "Nelly", "Sylvia", "Gunnhild", "Rannveig", "Barbro",
			"Margareth", "May-britt", "Marina", "Iren", "Natalia", "Margaret",
			"Viktoria", "Christin", "Isabell", "Audhild", "Vivi", "Mille",
			"Emily", "Oline", "Mariell", "Erika", "Marlene", "Siren", "Ylva",
			"Jorid", "Hedvig", "Elizabeth", "Annika", "Annbjørg", "Gøril",
			"Kaia", "Sigrunn", "Nadia", "Vanja", "Nancy", "Fatima",
			"Aleksandra", "Runa", "Rønnaug", "Gerda", "Magdalena", "Elisabet",
			"Anine", "Katarina", "Paula", "Asta", "Oddlaug", "Bergljot",
			"Norunn", "Agnieszka", "Karine", "Olivia", "Katarzyna", "Ingvill",
			"Isabella", "Matilde", "Hilda", "Elna", "Sanna", "Erle", "Connie",
			"Lisbet", "Diana", "Regine", "Lovise", "Jeanett", "Maya", "Herdis",
			"Amina", "Dagmar", "Signy", "Mildrid", "Valborg", "Åsta", "Venke",
			"Angelica", "Anne-grethe", "Susann", "Marielle", "Kitty",
			"Harriet", "Arna", "Kristi", "Ulla", "Irina", "Thi", "Brynhild",
			"Mie", "Dagrun", "Isabelle", "Joanna", "Terese", "Alva", "Barbara",
			"Julianne", "Birthe", "Melissa", "Ana", "Margunn", "Jessica",
			"Sophie", "Ann-mari", "Liss", "Malgorzata", "Iben", "Birte",
			"Beathe", "Cornelia", "Katharina", "Bettina", "Susan", "Torun",
			"Jannike", "Gunnvor", "Elida", "Sanne", "Adele", "Kjerstin", "Åsa",
			"Emilia", "Cecilia", "Vanessa", "Ingun", "Ågot", "Halldis",
			"Brith", "Milla", "Maia", "Åsne", "Idun", "Anne-karin", "Torgunn",
			"Inger-johanne", "Christel", "Mali", "Thale", "Ewa", "Elly",
			"Carmen", "Tomine", "Alvhild", "Synøve", "Nanna", "Jennifer",
			"Gretha", "Mira", "Elisa", "Elina", "Fanny", "Anneli", "Gitte",
			"Annlaug", "Reidunn", "Veslemøy", "Ulrikke", "Eileen", "Doris",
			"Janicke", "Ann-karin", "Ingfrid", "Magda", "Una", "Agnete",
			"Stella", "Mariam", "Lydia", "Kim", "Tilde", "Rachel", "Karolina",
			"Pauline", "Kjellrun", "Ann-helen", "Solvor", "Ingerid", "Alina",
			"Svetlana", "Kjellfrid", "Kari-anne", "Anni", "Linea", "Elen",
			"Maj", "Jill", "Aisha", "Catharina", "Marian", "Eira", "Anett",
			"Zahra", "Kristiane", "Maryam", "Eldrid", "Sigfrid", "Fride",
			"Sina", "Ebba", "Tatiana", "Erica", "Anne-britt", "Thora", "Tale",
			"Kerstin", "Aida", "Mirjam", "Beata", "Patricia", "Betty",
			"Katrin", "Marlen", "Embla", "Snefrid", "Kaisa", "Anlaug",
			"Nicole", "Elvira", "Elfrid", "Gudny", "Alise", "Lilli",
			"Ann-christin", "Rose", "Jofrid", "Magny", "Katja", "Catrine",
			"Anne-grete", "Gunnlaug", "Catherine", "Edna", "Annelise", "Silja",
			"Edle", "Gyda", "Solvår", "Magna", "Herborg", "Alida", "Daniela",
			"Amelia", "Agnethe", "Irmelin", "Claudia", "Aasta", "Lin",
			"Bertha", "Sol", "Juliane", "Turi", "Dorthe", "Silvia", "Ingelin",
			"Vibecke", "Janet", "Simone", "Ramona", "Wenke", "Ingri", "Yasmin",
			"Maud", "Christiane", "Aagot", "Angela", "Anbjørg", "Samira",
			"Marry", "Gudveig", "Irma", "Hermine", "Anne-berit", "Renata",
			"Jolanta", "Cassandra", "Anne-mette", "Åslaug", "Stephanie", "Rut",
			"Fatma", "Frøya", "Katinka", "Kajsa", "Solrun", "Gun", "Dorota",
			"Juni", "Anne-mari", "Teresa", "Tara", "Nicoline", "Kathe",
			"Aashild", "Idunn", "Gunnbjørg", "Elinor", "Vilma", "Rosa",
			"Elzbieta", "Tea", "Gunda", "Emmy", "Adriana", "Nikoline", "Peggy",
			"Magni", "Sophia", "Luna", "Eivor", "Fredrikke", "Leila",
			"Belinda", "Trine-lise", "Ninni", "Møyfrid", "Mari-ann", "Jasmin",
			"Suzanne", "Valentina", "Vilja", "Elbjørg", "Fadumo", "Venche",
			"Regina", "Inger-marie", "Cathrin", "Paulina", "Bertine", "Iwona",
			"Dorthea", "Tyra", "Iman", "Amy", "Hulda", "Ailin", "Siril",
			"Bergliot", "Sylwia", "Martina", "Berta", "Thordis", "Tatjana",
			"Clara", "Susanna", "Margun", "Edit", "Anne-sofie", "Judit",
			"Rebecka", "Lotta", "Emine", "Sonia", "Else-marie", "Leonora",
			"Josephine", "Renathe", "Lykke", "Hild", "Tamara", "Sahra",
			"Justyna", "Solgunn", "Sabine", "Mariel", "Gabriela", "Anne-marit",
			"Jelena", "Bianca", "Serine", "Elsie", "Beatrice", "Norma",
			"Angelika", "Filippa", "Alvilde", "Ayse", "Agathe", "My",
			"Sabrina", "Renee", "Yngvild", "Henrikke", "Thelma", "Khadija",
			"Vårin", "Lilian", "Ragne", "Salma", "Wilma", "Thuy", "Liva",
			"Lajla", "Lilja", "Frid", "Bergit", "Amal", "Izabela", "Gunlaug",
			"Marthine", "Lindis", "Jana", "Benthe", "Selina", "Hennie",
			"Alette", "Viola", "May-liss", "Jennie", "Cristina", "Wiktoria",
			"Betina", "Thanh", "Inghild", "Grace", "Aneta", "Naomi", "Ragni",
			"Audny", "Kathinka", "Zainab", "Karla", "Ngoc", "Janita", "Melina",
			"Ingvil", "Wigdis", "Tanya", "Carine", "Agata", "Leikny", "Hatice",
			"Birgitta", "Malena", "Madelene", "Anne-lene", "Natasha",
			"Gabriella", "Mary-ann", "Nadja", "Kamila", "Jacqueline", "Emelie",
			"Melanie", "Leni", "Angelina", "Theresa", "Mimmi", "Kathrin",
			"Wendy", "Mai-britt", "Desiree", "Wencke", "Galina", "Cicilie",
			"Lara", "Ekaterina", "Anastasia", "Muna", "Inge", "Cindy",
			"Britta", "Dagfrid", "Carolina", "Wanja", "Rina", "Alicja", "Hana",
			"Birgith", "Asha", "Ariel", "Felicia", "Anne-kristin", "Sadia",
			"Oddfrid", "Cesilie", "Sabina", "Edny", "Synneva", "Molly", "Liz",
			"Irena", "Gabrielle", "Anne-kari", "Kornelia", "Leona", "Janniche",
			"Gunbjørg", "Phuong", "Joan", "Ines", "Dordi", "Thu", "Anne-brit",
			"Nadine", "Jorund", "Ilona", "Ayan", "Patrycja", "Palma", "Naima",
			"Melinda", "Halima", "Emina", "Daniella", "Berith", "Ariana",
			"Sana", "Konstanse", "Olea", "Odny", "Jette", "Solrunn", "Gine",
			"Eilen", "Maryan", "Hong", "Ewelina", "Joakim", "Erlend", "Mats",
			"Bjarne", "Ove", "Arvid", "Markus", "Andre", "Jostein",
			"Aleksander", "Even", "Jørn", "Trygve", "Ronny", "Atle",
			"Benjamin", "Oddvar", "Henning", "Lasse", "David", "Inge",
			"Ragnar", "Kai", "Bjørnar", "Paul", "William", "Johnny", "Elias",
			"Arve", "Christoffer", "Simon", "Robin", "Åge", "Marcus", "Peter",
			"Jakob", "Sven", "Michael", "Torstein", "Øivind", "Mads", "Oliver",
			"Audun", "Bård", "Glenn", "Peder", "Ståle", "Steffen", "Carl",
			"Kurt", "Joachim", "Ørjan", "Torgeir", "Runar", "Roald",
			"Mohammad", "Sigmund", "Arnt", "Birger", "Kevin", "Isak", "Oskar",
			"Herman", "Bernt", "Tormod", "Willy", "Truls", "Halvor", "Richard",
			"Nikolai", "Raymond", "Aksel", "Christer", "Ruben", "Arnfinn",
			"Dagfinn", "Jonny", "Harry", "Magnar", "Endre", "Christopher",
			"Oddbjørn", "Vetle", "Patrick", "Cato", "Ali", "Ketil", "Noah",
			"Olaf", "Ulf", "Trym", "Kent", "Jonathan", "Tomas", "Haakon",
			"Mikael", "Sivert", "Yngve", "Are", "Jacob", "Bent", "Georg",
			"Mikkel", "Kasper", "Jesper", "Dan", "Amund", "Oscar", "Edvard",
			"Nicolai", "Henry", "Julian", "Filip", "Preben", "Jo", "Bjarte",
			"Otto", "Åsmund", "Ottar", "Philip", "Sigbjørn", "Mohamed", "Adam",
			"Ingar", "Brage", "Karsten", "Dennis", "Mohammed", "Gaute", "Asle",
			"Leon", "Iver", "Lukas", "Børge", "Eskil", "Bendik", "Victor",
			"Ahmed", "Lucas", "Theodor", "Gabriel", "Odin", "Fred", "Sveinung",
			"Bengt", "Anton", "Stefan", "Krzysztof", "Piotr", "Tony", "Viktor",
			"Sten", "Jarl", "Niklas", "Ernst", "Gustav", "Aage", "Thorbjørn",
			"Alfred", "Hallvard", "Oddmund", "Jim", "Snorre", "Vebjørn",
			"Tomasz", "Tord", "Halvard", "Ken", "Rasmus", "Ulrik", "Vegar",
			"Viggo", "Remi", "Arthur", "Torleif", "Idar", "Sigve", "Ingvar",
			"Thore", "Chris", "Leiv", "Andrzej", "Joar", "Axel", "Gjermund",
			"Edvin", "August", "Ivan", "Casper", "Freddy", "Samuel", "Gard",
			"Sjur", "Kjartan", "Hugo", "Gisle", "Felix", "Aslak", "Svenn",
			"Kolbjørn", "Ludvig", "Marek", "Pawel", "Asgeir", "Didrik",
			"Torfinn", "Marcin", "Leo", "Gudmund", "Gøran", "Arnstein",
			"Albert", "Aron", "Jan-erik", "Tim", "Øistein", "Ronald", "Arnold",
			"Leander", "Børre", "Matias", "Muhammad", "Jone", "Grzegorz",
			"Max", "Edgar", "Agnar", "Svend", "Nicholas", "Dariusz", "Mariusz",
			"Eric", "Konrad", "Ådne", "Paal", "Yngvar", "Thorleif", "Hallgeir",
			"Omar", "Kyrre", "Hassan", "Brede", "Michal", "Theo", "Linus",
			"Kristen", "Birk", "Mikal", "Ibrahim", "Fabian", "Kay", "Klaus",
			"Erland", "Karstein", "Jøran", "Tarjei", "Heine", "Jack",
			"Ingvald", "Rene", "Torjus", "Vemund", "Mustafa", "Artur",
			"Lukasz", "Eilif", "Jonatan", "Wilhelm", "Jacek", "Krister",
			"Liam", "Guttorm", "Oddgeir", "Kaare", "Nicolay", "Abdul",
			"Bernhard", "Teodor", "Rafal", "Hermann", "Ludvik", "Ragnvald",
			"Werner", "Bo", "Arnulf", "Ask", "Zbigniew", "Sturla", "Ingolf",
			"Wojciech", "Ahmad", "Norvald", "Toralf", "Brian", "Amir",
			"Charles", "Jaroslaw", "Morgan", "Brynjar", "Rolv", "James",
			"Torgrim", "Patrik", "Njål", "Jahn", "Tage", "Niels", "Torkel",
			"Nicklas", "Edmund", "Walter", "Slawomir", "Jimmy", "Jose",
			"Nicolas", "Storm", "Hjalmar", "Allan", "Miroslaw", "Mattis",
			"Fritz", "Carsten", "Abdi", "Eldar", "Hilmar", "Mark", "Edward",
			"Tron", "Viljar", "Alex", "Alan", "Roman", "Claus", "Torleiv",
			"Malvin", "Stephen", "Josef", "Said", "Stanislaw", "Jørund",
			"Rudi", "Andrew", "Steven", "Håvar", "Torger", "Lars-erik",
			"Rikard", "Marco", "Thorstein", "Villy", "Hermod", "Stephan",
			"Lennart", "Søren", "Syver", "Mehmet", "Phillip", "Frederik",
			"Jakub", "Elling", "Maciej", "Ben", "Jann", "Janusz", "Ismail",
			"Ian", "Gerhard", "Sølve", "Fridtjof", "Abdirahman", "Bror",
			"Wiggo", "Gunvald", "Juan", "Ole-martin", "Eskild", "Carlos",
			"Waldemar", "Jerzy", "Sture", "Thorvald", "Khalid", "Torje",
			"Torben", "Ørnulf", "Adnan", "Hussein", "Eigil", "Mario", "Scott",
			"Sean", "Baard", "Hasan", "Oddvin", "Luis", "Rudolf", "Julius",
			"Eyvind", "Levi", "Syed", "Esben", "Mattias", "Nathaniel",
			"Leonard", "Ingebrigt", "Osvald", "Niclas", "Abdullah", "Osman",
			"Ryszard", "Remy", "Olve", "Joel", "Eilert", "Przemyslaw", "Alv",
			"Anthony", "Ferdinand", "Arkadiusz", "Kamil", "Ansgar", "Mons",
			"Jean", "Hans-petter", "Steve", "Bastian", "Joseph", "Joacim",
			"Jozef", "Hamza", "Hogne", "Damian", "Mateusz", "Ingve", "Samir",
			"Abdullahi", "Kaj", "Haldor", "Torvald", "Antonio", "Holger",
			"Matheo", "Johann", "George", "Eystein", "Rino", "Ole-kristian",
			"Vincent", "Lauritz", "Kim-andre", "Wieslaw", "Sigvald",
			"Brynjulf", "Ronnie", "Dawid", "Aasmund", "Torkil", "Leszek",
			"Tadeusz", "Thanh", "Flemming", "Normann", "Yusuf", "Nikolas",
			"Halfdan", "Gjert", "Tonny", "Martinus", "Tom-erik", "Torkild",
			"Hallstein", "Tarald", "Olai", "Svein-erik", "Andres", "Bilal",
			"Vladimir", "Laurits", "Severin", "Kennet", "Narve", "Arian",
			"Per-arne", "Radoslaw", "Marian", "Gorm", "Ahmet", "Alvin",
			"Fredrick", "Tor-erik", "Sigfred", "Asmund", "Skjalg", "Igor",
			"Mahamed", "Bjørn-erik", "Kato", "Bogdan", "Gudbrand", "Patryk",
			"Hamid", "Frits", "Benny", "Jonn", "Annar", "Sam", "Marcel",
			"Jomar", "Minh", "Jarand", "Milan", "Colin", "Mindaugas", "Karol",
			"Jamal", "Jardar", "Louis", "Darius", "Borgar", "Denis", "Bertil",
			"Frithjof", "Evald", "Bartosz", "Marvin", "Manuel", "Tor-arne",
			"Ole-christian", "Matthew", "Sami", "Bjørge", "Tristan", "Torodd",
			"Oddleif", "Jørg", "Jorge", "Edin", "Fillip", "Mohamad", "Ingmar",
			"Ole-petter", "Matthias", "Imre", "Mathis", "Lorentz", "Thormod",
			"Nikolay", "Marko", "Henryk", "Van", "Thoralf", "Sigvart", "Eddie",
			"Dani", "Ted", "Per-erik", "Jeppe", "Edwin", "Christen", "Arnljot",
			"Melvin", "Maximilian", "Gert", "Muhammed", "Kacper", "Conrad",
			"Vilhelm", "Mehdi", "Rainer", "Imran", "Dominik", "Aaron",
			"Roland", "Rafael", "Mahmoud", "Claes", "Amin", "Torolf",
			"Ole-jørgen", "Reza", "Isac", "Glen", "Kazimierz", "Anfinn",
			"Yasin", "Karim", "Emir", "Ari", "Øyvin", "Widar", "Tønnes",
			"Hauk", "Haavard", "Szymon", "Balder", "Sturle", "Emanuel",
			"Andrius", "Steffan", "Knud", "Frans" };
}
