package no.ntnu.ime.libxsltgenerator.parser.identifiers;

import java.util.Arrays;

public class OrganizationElementAnalyzer extends ElementAnalyzer<OrganizationElementTypes> {

	public OrganizationElementAnalyzer(){
		addMatcherPairs(OrganizationElementTypes.ORGANIZATION_ID, Arrays.asList(ORG_ID_EXPRESSIONS));
		addMatcherPairs(OrganizationElementTypes.ORGANIZATION_NAME, Arrays.asList(ORG_NAME_EXPRESSIONS));
	}
	
	private static final String[] ORG_ID_EXPRESSIONS = {
		"orgid",
		"organizationid",
		"organisasjonsid"
	};
	
	private static final String[] ORG_NAME_EXPRESSIONS = {
		"orgname",
		"organizationname",
		"orgnavn",
		"organisasjonsnavn"
	};
	
}
