package no.ntnu.ime.libxsltgenerator.parser.identifiers;

import java.util.Arrays;


public class PersonElementAnalyzer extends ElementAnalyzer<PersonElementTypes> {
	
	public PersonElementAnalyzer(){
		addMatcherPairs(PersonElementTypes.FIRST_NAME, Arrays.asList(FIRSTNAME_EXPRESSIONS));
		addMatcherPairs(PersonElementTypes.LAST_NAME, Arrays.asList(LASTNAME_EXPRESSIONS));
		addMatcherPairs(PersonElementTypes.MIDDLE_NAME, Arrays.asList(MIDDLENAME_EXPRESSIONS));
		addMatcherPairs(PersonElementTypes.SSN, Arrays.asList(SSN_EXPRESSIONS));
		addMatcherPairs(PersonElementTypes.GENERIC_NAME_NODE, Arrays.asList(NAME_ELEMENT_EXPRESSIONS));
		addMatcherPairs(PersonElementTypes.GENDER, Arrays.asList(GENDER_EXPRESSIONS));
		addMatcherPairs(PersonElementTypes.BIRTH_NODE, Arrays.asList(BIRTH_ELEMENT_EXPRESSIONS));
		addMatcherPairs(PersonElementTypes.CITY, Arrays.asList(CITY_ELEMENT_EXPRESSIONS));
		addMatcherPairs(PersonElementTypes.GENERIC_CONTACT_NODE, Arrays.asList(GENERIC_CONTACT_EXPRESSIONS));
		addMatcherPairs(PersonElementTypes.ZIP_CODE, Arrays.asList(ZIP_CODE_EXPRESSIONS));
		addMatcherPairs(PersonElementTypes.STREET, Arrays.asList(STREET_ADDRESS_EXPRESSIONS));
		addMatcherPairs(PersonElementTypes.COUNTRY, Arrays.asList(COUNTRY_EXPRESSIONS));
		addMatcherPairs(PersonElementTypes.GENERIC_ADDRESS_NODE, Arrays.asList(GENERIC_ADDRESS_EXPRESSIONS));
		
	}
	private static final String[] FIRSTNAME_EXPRESSIONS = {
		"firstName",
		"first_name",
		"fornavn",
		"given"
	};
	
	private static final String[] LASTNAME_EXPRESSIONS = {
		"lastname",
		"last_name",
		"etternavn",
		"etter_navn",
		"ln",
		"family"
	};
	private static final String[] MIDDLENAME_EXPRESSIONS = {
		"middlename",
		"middle_name",
		"mellomnavn",
		"mellom_navn"
	};
	
	private static final String[] SSN_EXPRESSIONS = {
		"ssn",
		"personnr",
		"personnummer",
		"pnr",
		"personid"
	};
	
	private static final String[] NAME_ELEMENT_EXPRESSIONS = {
		"name",
		"navn",
		"fn"
	};
	
	private static final String[] GENDER_EXPRESSIONS = {
		"gender",
		"kjønn",
		"kjonn",
		"sex"
	};

	private static final String[] BIRTH_ELEMENT_EXPRESSIONS = {
		"birth",
		"fdato",
		"født",
		"birthdate",
		"fødselsdato"
	};
	
	private static final String[] CITY_ELEMENT_EXPRESSIONS = {
		"by",
		"city"
	};
	
	private static final String[] GENERIC_CONTACT_EXPRESSIONS = {
		"contactinfo",
		"kontakt",
		"contact\\w+"
	};
	
	private static final String[] ZIP_CODE_EXPRESSIONS = {
		"postnummer",
		"postnr",
		"zip",
		"zipcode",
		"postcode"
	};
	
	private static final String[] STREET_ADDRESS_EXPRESSIONS = {
		"gatenavn",
		"gate",
		"street"
	};
	
	private static final String[] COUNTRY_EXPRESSIONS = {
		"country",
		"land"
	};
	
	private static final String[] GENERIC_ADDRESS_EXPRESSIONS = {
		"address",
		"adresse"
	};
	
}
