package no.ntnu.ime.libxsltgenerator.parser.identifiers;

import java.util.Arrays;

public class RelationElementAnalyzer extends ElementAnalyzer<RelationElementTypes> {
	
	public RelationElementAnalyzer(){
		addMatcherPairs(RelationElementTypes.GENERIC_RELATION, Arrays.asList(GENERIC_RELATION_EXPRESSIONS));
		addMatcherPairs(RelationElementTypes.RELATION_GROUP_ID, Arrays.asList(RELATION_GROUP_ID_EXPRESSIONS));
		addMatcherPairs(RelationElementTypes.RELATION_ORG_ID, Arrays.asList(RELATION_ORG_ID_EXPRESSION));
		addMatcherPairs(RelationElementTypes.RELATION_PERSON_ID, Arrays.asList(RELATION_PERSON_ID_EXPRESSION));
	
	}
		
	private static final String[] GENERIC_RELATION_EXPRESSIONS = {
		"relation",
		"medlemskap",
		"membership"
	};
	private static final String[] RELATION_GROUP_ID_EXPRESSIONS = {
		"groupid",
		"gruppeid",
		"group-id",
		"gruppe-id"
	};
	private static final String[] RELATION_ORG_ID_EXPRESSION = {
		"orgid",
		"organisasjonsid",
		"organizationid"
	};
	private static final String[] RELATION_PERSON_ID_EXPRESSION = {
		"personid",
		"pnr"
	};
}
