package no.ntnu.ime.libxsltgenerator.parsers.interfaces;

import no.ntnu.ime.libxsltgenerator.models.SaxParserResult;

import org.xml.sax.Attributes;
import org.xml.sax.InputSource;

public interface SAXParser {
	/**
	 * Called when SAXHandler starts processing a new document.
	 */
	public void startDocumentParsing();
	
	/**
	 * Called the SAXHandler gets character data.
	 * SAXHandler automatically extracts the relevant string data,
	 * and passes it to this function.
	 * 
	 * @param data
	 */
	public void parseCharacterData(String data);
	
	/**
	 * Called when SAXHandler sees a new element. The original values are passed to this function.
	 * 
	 * @param uri
	 * @param localName
	 * @param qName
	 * @param attributes
	 */
	public void parseStartElement(String uri, String localName, String qName, Attributes attributes);
	
	/**
	 * Called when SAXHandler sees the end of an element. Original values are passed to this function.
	 * 
	 * @param uri
	 * @param localName
	 * @param qName
	 */
	public void parseEndElement(String uri, String localName, String qName);
	
	/**
	 * Called when SAXHandler is finished with the current document.
	 */
	public void endDocumentParsing();
	
	

	public SaxParserResult getParserResult(InputSource source);
	
}
