package no.ntnu.ime.libxsltgenerator.stats;

public class PerformanceTimer {
	private final long startTime;
	private long endTime = 0;
	
	private PerformanceTimer() {
		startTime = System.nanoTime();
	}
	
	public PerformanceTimer stop(){
		endTime = System.nanoTime();
		return this;
	}
	
	public static PerformanceTimer start() {
		return new PerformanceTimer();
	}
	
	public long getMsTime(){
		return (endTime - startTime) / 1000000L;
	}
	
	public long getNanoTime(){
		return endTime - startTime;
	}
}
