package no.ntnu.ime.libxsltgenerator.utils;

import java.util.ArrayList;

import org.apache.commons.lang.StringUtils;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class FinderUtils {
	private FinderUtils(){}
	
	/**
	 * Returns an ArrayList of nodes that are the children of the given node.
	 * Search is done by depth-first traversal of the given nodes children.
	 * @param node
	 * @return
	 */
	public static ArrayList<Node> getAllChildrenForNode(Node node){
		ArrayList<Node> result = new ArrayList<Node>();
		
		NodeList children = node.getChildNodes();
		for(int childIndex = 0; childIndex < children.getLength(); childIndex++){
			Node child = children.item(childIndex);
			result.add(child);
			result.addAll(FinderUtils.getAllChildrenForNode(child));
		}
		return result;
	}
	
	
	public static Node getTopMostParent(Node node){
		if (node.getParentNode() == null)
			return node;
		return getTopMostParent(node.getParentNode());
	}
	
	/**
	 * @param node
	 */
	public static String getXPathForNode(Node node) {
		ArrayList<String> parents = new ArrayList<String>();
		Node parent = node.getParentNode();
		if (parent == null){
			parent = node;
		}
	//	parents.add(parent.getNodeName());
		while ((parent = parent.getParentNode()) != null){
			if (parent.getNodeType() != Node.DOCUMENT_NODE)
				parents.add(0, parent.getNodeName());
		}
		String xpath = "/" + StringUtils.join(parents, "/");
		return xpath;
	}
	
}
